Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.acme
Class TagListener

    java.lang.Object
      com.acme.TagListener

All Implemented Interfaces:
  EventListener, HttpSessionActivationListener, HttpSessionAttributeListener, HttpSessionListener, ServletContextAttributeListener, ServletContextListener, ServletRequestAttributeListener, ServletRequestListener

    public class TagListener

extends Object
implements HttpSessionListener, HttpSessionAttributeListener, HttpSessionActivationListener, ServletContextListener, ServletContextAttributeListener, ServletRequestListener, ServletRequestAttributeListener

Constructor Summary
`TagListener()`

Method Summary
`void` | `attributeAdded(HttpSessionBindingEvent se)` Notification that an attribute has been added to a session.
`void` | `attributeAdded(ServletContextAttributeEvent scab)` Notification that a new attribute was added to the servlet context.
`void` | `attributeAdded(ServletRequestAttributeEvent srae)` Notification that a new attribute was added to the servlet request.
`void` | `attributeRemoved(HttpSessionBindingEvent se)` Notification that an attribute has been removed from a session.
`void` | `attributeRemoved(ServletContextAttributeEvent scab)` Notification that an existing attribute has been removed from the servlet context.
`void` | `attributeRemoved(ServletRequestAttributeEvent srae)` Notification that an existing attribute has been removed from the servlet request.
`void` | `attributeReplaced(HttpSessionBindingEvent se)` Notification that an attribute has been replaced in a session.
`void` | `attributeReplaced(ServletContextAttributeEvent scab)` Notification that an attribute on the servlet context has been replaced.
`void` | `attributeReplaced(ServletRequestAttributeEvent srae)` Notification that an attribute was replaced on the servlet request.
`void` | `contextDestroyed(ServletContextEvent sce)` Notification that the servlet context is about to be shut down.
`void` | `contextInitialized(ServletContextEvent sce)` Notification that the web application initialization process is starting.
`void` | `requestDestroyed(ServletRequestEvent sre)` The request is about to go out of scope of the web application.
`void` | `requestInitialized(ServletRequestEvent sre)` The request is about to come into scope of the web application.
`void` | `sessionCreated(HttpSessionEvent se)` Notification that a session was created.
`void` | `sessionDestroyed(HttpSessionEvent se)` Notification that a session is about to be invalidated.
`void` | `sessionDidActivate(HttpSessionEvent se)` Notification that the session has just been activated.
`void` | `sessionWillPassivate(HttpSessionEvent se)` Notification that the session is about to be passivated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagListener

    public TagListener()

Method Detail

### attributeAdded

    public void attributeAdded(HttpSessionBindingEvent se)

  Description copied from interface: `HttpSessionAttributeListener`
  Notification that an attribute has been added to a session. Called after the attribute is added.

  Specified by:
    `attributeAdded` in interface `HttpSessionAttributeListener`

### attributeRemoved

    public void attributeRemoved(HttpSessionBindingEvent se)

  Description copied from interface: `HttpSessionAttributeListener`
  Notification that an attribute has been removed from a session. Called after the attribute is removed.

  Specified by:
    `attributeRemoved` in interface `HttpSessionAttributeListener`

### attributeReplaced

    public void attributeReplaced(HttpSessionBindingEvent se)

  Description copied from interface: `HttpSessionAttributeListener`
  Notification that an attribute has been replaced in a session. Called after the attribute is replaced.

  Specified by:
    `attributeReplaced` in interface `HttpSessionAttributeListener`

### sessionWillPassivate

    public void sessionWillPassivate(HttpSessionEvent se)

  Description copied from interface: `HttpSessionActivationListener`
  Notification that the session is about to be passivated.

  Specified by:
    `sessionWillPassivate` in interface `HttpSessionActivationListener`

### sessionDidActivate

    public void sessionDidActivate(HttpSessionEvent se)

  Description copied from interface: `HttpSessionActivationListener`
  Notification that the session has just been activated.

  Specified by:
    `sessionDidActivate` in interface `HttpSessionActivationListener`

### contextInitialized

    public void contextInitialized(ServletContextEvent sce)

  Description copied from interface: `ServletContextListener`
  Notification that the web application initialization process is starting. All ServletContextListeners are notified of context initialization before any filter or servlet in the web application is initialized.

  Specified by:
    `contextInitialized` in interface `ServletContextListener`

### contextDestroyed

    public void contextDestroyed(ServletContextEvent sce)

  Description copied from interface: `ServletContextListener`
  Notification that the servlet context is about to be shut down. All servlets and filters have been destroy()ed before any ServletContextListeners are notified of context destruction.

  Specified by:
    `contextDestroyed` in interface `ServletContextListener`

### attributeAdded

    public void attributeAdded(ServletContextAttributeEvent scab)

  Description copied from interface: `ServletContextAttributeListener`
  Notification that a new attribute was added to the servlet context. Called after the attribute is added.

  Specified by:
    `attributeAdded` in interface `ServletContextAttributeListener`

### attributeRemoved

    public void attributeRemoved(ServletContextAttributeEvent scab)

  Description copied from interface: `ServletContextAttributeListener`
  Notification that an existing attribute has been removed from the servlet context. Called after the attribute is removed.

  Specified by:
    `attributeRemoved` in interface `ServletContextAttributeListener`

### attributeReplaced

    public void attributeReplaced(ServletContextAttributeEvent scab)

  Description copied from interface: `ServletContextAttributeListener`
  Notification that an attribute on the servlet context has been replaced. Called after the attribute is replaced.

  Specified by:
    `attributeReplaced` in interface `ServletContextAttributeListener`

### requestDestroyed

    public void requestDestroyed(ServletRequestEvent sre)

  Description copied from interface: `ServletRequestListener`
  The request is about to go out of scope of the web application.

  Specified by:
    `requestDestroyed` in interface `ServletRequestListener`

### requestInitialized

    public void requestInitialized(ServletRequestEvent sre)

  Description copied from interface: `ServletRequestListener`
  The request is about to come into scope of the web application.

  Specified by:
    `requestInitialized` in interface `ServletRequestListener`

### attributeAdded

    public void attributeAdded(ServletRequestAttributeEvent srae)

  Description copied from interface: `ServletRequestAttributeListener`
  Notification that a new attribute was added to the servlet request. Called after the attribute is added.

  Specified by:
    `attributeAdded` in interface `ServletRequestAttributeListener`

### attributeRemoved

    public void attributeRemoved(ServletRequestAttributeEvent srae)

  Description copied from interface: `ServletRequestAttributeListener`
  Notification that an existing attribute has been removed from the servlet request. Called after the attribute is removed.

  Specified by:
    `attributeRemoved` in interface `ServletRequestAttributeListener`

### attributeReplaced

    public void attributeReplaced(ServletRequestAttributeEvent srae)

  Description copied from interface: `ServletRequestAttributeListener`
  Notification that an attribute was replaced on the servlet request. Called after the attribute is replaced.

  Specified by:
    `attributeReplaced` in interface `ServletRequestAttributeListener`

### sessionCreated

    public void sessionCreated(HttpSessionEvent se)

  Description copied from interface: `HttpSessionListener`
  Notification that a session was created.

  Specified by:
    `sessionCreated` in interface `HttpSessionListener`
  Parameters:
    `se` - the notification event

### sessionDestroyed

    public void sessionDestroyed(HttpSessionEvent se)

  Description copied from interface: `HttpSessionListener`
  Notification that a session is about to be invalidated.

  Specified by:
    `sessionDestroyed` in interface `HttpSessionListener`
  Parameters:
    `se` - the notification event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.